## EvAsyncRenderer

EvAsyncRenderer

## Functions

void | ev_async_renderer_render_pixbuf ()

## Signals

void | render-finished | Run Last

## Types and Values

| EvAsyncRenderer
struct | EvAsyncRendererInterface

## Object Hierarchy

        GInterface
        ╰── EvAsyncRenderer

## Description

## Functions

### ev_async_renderer_render_pixbuf ()

    void
    ev_async_renderer_render_pixbuf (EvAsyncRenderer *renderer,
                                     int page,
                                     double scale,
                                     int rotation);

## Types and Values

### EvAsyncRenderer

    typedef struct _EvAsyncRenderer EvAsyncRenderer;

### struct EvAsyncRendererInterface

    struct EvAsyncRendererInterface {
    	GTypeInterface base_iface;

    	void	    (* render_finished) (EvAsyncRenderer *renderer,
    					 GdkPixbuf       *pixbuf);

    	void        (* render_pixbuf)   (EvAsyncRenderer *renderer,
    					 int              page,
    					 double           scale,
    					 int              rotation);
    };

## Signal Details

### The `“render-finished”` signal

    void
    user_function (EvAsyncRenderer *evasyncrenderer,
                   GdkPixbuf       *arg1,
                   gpointer         user_data)

#### Parameters

evasyncrenderer | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last